export interface IAccount {
  username: string
  password: string
}

interface Permission {
  menus: string[]
  points: string[]
}

interface Role {
  id: string
  title: string
}

export interface IUserInfo {
  role: Role[]
  _id: string
  id: string
  username: string
  title: string
  avatar: string
  permission: Permission
}

export interface IState {
  // Partial: 将一个 Type 的属性全部变为可选属性
  // Required: 将一个 Type 的属性全部变为必需属性

  userInfo: Partial<IUserInfo>
  token: string
}
