import hyRequest from '..'
import type {
  IArticleListPayload,
  ISortPayload,
  ICreateArticlePayload,
  IArticleEditPayload
} from './types'

/**
 * 获取所有文章
 */
export const fetchArticleList = (data: IArticleListPayload) => {
  return hyRequest.get({
    url: '/article/list',
    params: data
  })
}

/**
 * 修改文章排序
 */
export const updateArticleRanking = (data: ISortPayload) => {
  return hyRequest.post({
    url: '/article/sort',
    data
  })
}

/**
 * 删除文章
 */
export const deleteArticleById = (id: string) => {
  return hyRequest.get({
    url: `/article/delete/${id}`
  })
}

/**
 * 获取文章详情
 */
export const getArticleDetailById = (id: string) => {
  return hyRequest.get({
    url: `/article/${id}`
  })
}

/**
 * 创建文章
 */
export const createArticle = (data: ICreateArticlePayload) => {
  return hyRequest.post({
    url: '/article/create',
    data
  })
}

/**
 * 编辑文章详情
 */
export const articleEdit = (data: IArticleEditPayload) => {
  return hyRequest.post({
    url: '/article/edit',
    data
  })
}
