import hyRequest from '..'

/**
 * 获取累计收益明细
 */
export const getChartTrend = () => {
  return hyRequest.get({
    url: '/chart/trend'
  })
}

/**
 * 日历图示数据
 */
export const getChartCalendar = () => {
  return hyRequest.get({
    url: '/chart/calendar'
  })
}

/**
 * 指定日期的时段柱形数据
 */
export const getChartTimeAmount = (date: Date) => {
  return hyRequest.get({
    url: '/chart/time/amount',
    params: {
      date
    }
  })
}

/**
 * 饼图数据
 */
export const getChartPie = () => {
  return hyRequest.get({
    url: '/chart/pie'
  })
}

/**
 * 文字云图数据
 */
export const getChartWordCloud = () => {
  return hyRequest.get({
    url: '/chart/wordcloud'
  })
}

/**
 * 地图可视化数据
 */
export const getChartMap = () => {
  return hyRequest.get({
    url: '/chart/bmap'
  })
}

/**
 * 大区数据
 */
export const getChartRegions = () => {
  return hyRequest.get({
    url: '/chart/regions'
  })
}

/**
 * 表格数据
 */
export const getChartSheet = (regionId: string) => {
  return hyRequest.get({
    url: '/chart/sheets',
    params: {
      regionId
    }
  })
}
