import hyRequest from '..'
import type { IUserManageListPayload } from './types'
import type { IData } from '@/views/import/types'
import type { IRole } from '@/views/role-list/types'

/**
 * 获取用户列表数据
 */
export const getUserManegeList = (data: IUserManageListPayload) => {
  return hyRequest.get({
    url: '/user-manage/list',
    params: data
  })
}

/**
 * 获取所有用户列表数据
 */
export const getAllUserData = () => {
  return hyRequest.get({
    url: '/user-manage/all-list'
  })
}

/**
 * 获取用户详情
 */
export const getUserDetail = (id: string) => {
  return hyRequest.get({
    url: `/user-manage/detail/${id}`
  })
}

/**
 * 批量上传
 */
export const userBatchImport = (data: IData[]) => {
  return hyRequest.post({
    url: '/user-manage/batch/import',
    data
  })
}

/**
 * 删除用户
 */
export const deleteUser = (id: string) => {
  return hyRequest.get({
    url: `/user-manage/detele/${id}`
  })
}

/**
 * 获取指定用户的角色
 */
export const fetchUserRoles = (id: string) => {
  return hyRequest.get({
    url: `/user-manage/role/${id}`
  })
}

/**
 * 为指定用户分配角色
 */
export const updateUserRoles = (id: string, roles: IRole[]) => {
  return hyRequest.post({
    url: `/user-manage/update-role/${id}`,
    data: { roles }
  })
}
