import { ElMessage } from 'element-plus'
import useI18n from '@/i18n'
import { createArticle, articleEdit } from '@/service/article'
import type {
  ICreateArticlePayload,
  IArticleEditPayload
} from '@/service/article/types'

/** 新建文章 */
export const commitArticle = async (data: ICreateArticlePayload) => {
  const res = await createArticle(data)
  ElMessage.success(useI18n().global.t('article.createSuccess'))
  return res
}

/** 编辑文章 */
export const editArticle = async (data: IArticleEditPayload) => {
  const res = await articleEdit(data)
  ElMessage.success(useI18n().global.t('article.editorSuccess'))
  return res
}
