/** 执行初始列数据 */
// import { generateTitle } from './utils'

// ! 下面需要国际化的 label 在本文件中使用 t('xxx') 的方式不生效
// 如果直接返回一个数组，则数组中的值在导入时就已经是固定的了
// 导出一个函数，导入并调用，则该函数的返回值会重新计算
// export default function () {
//   return [
//     {
//       label: generateTitle('ranking'),
//       prop: 'ranking',
//       align: 'center',
//       width: 100
//     },
//     {
//       label: generateTitle('title'),
//       prop: 'title',
//       width: 220
//     },
//     {
//       label: generateTitle('author'),
//       prop: 'author',
//       width: 200
//     },
//     {
//       label: generateTitle('publicDate'),
//       prop: 'publicDate',
//       width: 150
//     },
//     {
//       label: generateTitle('desc'),
//       prop: 'desc'
//     },
//     {
//       label: generateTitle('action'),
//       prop: 'action',
//       width: '200'
//     }
//   ]
// }

import useI18n from '@/i18n'

export default () => {
  const t = useI18n().global.t

  return [
    {
      label: t('article.ranking'),
      prop: 'ranking',
      align: 'center',
      width: 100
    },
    {
      label: t('article.title'),
      prop: 'title',
      width: 220
    },
    {
      label: t('article.author'),
      prop: 'author',
      width: 200
    },
    {
      label: t('article.publicDate'),
      prop: 'publicDate',
      width: 150
    },
    {
      label: t('article.desc'),
      prop: 'desc'
    },
    {
      label: t('article.action'),
      prop: 'action',
      width: 200
    }
  ]
}
