export type RawKeyRelationType = {
  姓名: 'username'
  联系方式: 'mobile'
  角色: 'role'
  开通时间: 'openTime'
}

export type RawKeyType = 姓名 | 联系方式 | 开通时间 | 角色

export type IUserRelation<Type> = {
  [key in keyof Type]: Type[key]
}

export interface IRawResults {
  姓名: string
  开通时间: number
  联系方式: number
  角色: string
}

export interface IRawData {
  headers: RawKeyType
  results: IRawResults[]
}

export interface IData {
  username: string
  openTime: number
  mobile: number
  role: string
}
